Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class ProjectListenerAdapter

    java.lang.Object
      com.eviware.soapui.model.support.ProjectListenerAdapter

All Implemented Interfaces:
  ProjectListener

Direct Known Subclasses:
  WsdlTestRequestStep.InternalProjectListener

    public class ProjectListenerAdapter

extends java.lang.Object
implements ProjectListener

Adapter for ProjectListener implementations

Author:
  Ole.Matzura

Constructor Summary
`ProjectListenerAdapter()`

Method Summary
`void` | `interfaceAdded(Interface iface)`
`void` | `interfaceRemoved(Interface iface)`
`void` | `interfaceUpdated(Interface iface)`
`void` | `mockServiceAdded(MockService mockService)`
`void` | `mockServiceRemoved(MockService mockService)`
`void` | `testSuiteAdded(TestSuite testSuite)`
`void` | `testSuiteRemoved(TestSuite testSuite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectListenerAdapter

    public ProjectListenerAdapter()

Method Detail

### interfaceAdded

    public void interfaceAdded(Interface iface)

  Specified by:
    `interfaceAdded` in interface `ProjectListener`

### interfaceRemoved

    public void interfaceRemoved(Interface iface)

  Specified by:
    `interfaceRemoved` in interface `ProjectListener`

### testSuiteAdded

    public void testSuiteAdded(TestSuite testSuite)

  Specified by:
    `testSuiteAdded` in interface `ProjectListener`

### testSuiteRemoved

    public void testSuiteRemoved(TestSuite testSuite)

  Specified by:
    `testSuiteRemoved` in interface `ProjectListener`

### mockServiceAdded

    public void mockServiceAdded(MockService mockService)

  Specified by:
    `mockServiceAdded` in interface `ProjectListener`

### mockServiceRemoved

    public void mockServiceRemoved(MockService mockService)

  Specified by:
    `mockServiceRemoved` in interface `ProjectListener`

### interfaceUpdated

    public void interfaceUpdated(Interface iface)

  Specified by:
    `interfaceUpdated` in interface `ProjectListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.